commit:     7c6018004134149ac1233eacbb0ae36d47e3cbb0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 22 04:03:24 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 22 05:01:53 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c601800

dev-python/boto3: Bump to 1.35.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest            |  1 +
 dev-python/boto3/boto3-1.35.3.ebuild | 53 ++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index f2f5e0c40d1c..befef4e1b1e5 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.34.158.gh.tar.gz 848930 BLAKE2B 
5db04b9eee08f5418a595e736f075fbe22b
 DIST boto3-1.35.0.gh.tar.gz 851637 BLAKE2B 
485b17616fed53a88280aad92d2e4219d8bcbf469b42cff6113f9596c6b245fad39b403b4fb29ed99b50955baa50940091e9c0f88cc6e350b44c69c4b1df5fdc
 SHA512 
0236748c667ef1baf7484d4808083cb517c19ceae672973ac0cf9ce509a9e4a965c15349876807dc320fc96210ba6c5d16ea66545de19eed33dace058392d85d
 DIST boto3-1.35.1.gh.tar.gz 852178 BLAKE2B 
c1706b6f22fec5046ec0653a87be74113ed8031c1140efa296ce8d4d8d126da65a4dd0ce62413a078a88c4c11739a7e55a86363eca16b10e96e0344d3ad63fd2
 SHA512 
03a121ae24ec6b5d2a5ed869a2d7ff6cf2078c45abed09bf014dca14575b3612ffecd73e784aab74051364bb211d33871bf4f212cb603e1cbe980cd85d749629
 DIST boto3-1.35.2.gh.tar.gz 852524 BLAKE2B 
28a0408e2187952eb8f9f0e37de105007e6c4d0f11358c8ccc5246a8798b24f1472eaa788e3268c9e9fe9888953d6ab323e337e5d4a53179cd4bbd26c1776e89
 SHA512 
7b25f6ab5b29789e1b90f888f74708ade430e5c9f746346fb4ba0aa15f6ab55d892a9331d4c3e06fab5c683c2e0d7745c8adf10a6a259398f8fb88b1dafe52f1
+DIST boto3-1.35.3.gh.tar.gz 853055 BLAKE2B 
2dd22a7e4285574781b2c2eb9a0f706f736d892e7dff7e5846a8fcca504b29fbdc75525178395084698a7fea43e797c1aa9d29077738913a7a3855095fce424b
 SHA512 
98ce858ea952ffb7070b626b6b53edfa2f6ba0ad8f9d3cde784fc4cca8fd2586c0c7934a41527d8623482a3f787dc43f479ad1e16aa3ecd48beba30c0f5e236e

diff --git a/dev-python/boto3/boto3-1.35.3.ebuild 
b/dev-python/boto3/boto3-1.35.3.ebuild
new file mode 100644
index 000000000000..8cba6d95740e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.35.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+       https://github.com/boto/boto3/
+       https://pypi.org/project/boto3/
+"
+SRC_URI="
+       https://github.com/boto/boto3/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux"
+
+RDEPEND="
+       >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # don't lock versions to narrow ranges
+       sed -e '/botocore/ d' \
+               -e '/jmespath/ d' \
+               -e '/s3transfer/ d' \
+               -i setup.py || die
+
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest tests/{functional,unit}
+}

Reply via email to